Package org.codehaus.groovy.control.messages

# Class LocatedMessage

java.lang.Object
org.codehaus.groovy.control.messages.Message
org.codehaus.groovy.control.messages.SimpleMessage
org.codehaus.groovy.control.messages.LocatedMessage

Direct Known Subclasses:
  `WarningMessage`

public class LocatedMessage extends SimpleMessage
A base class for compilation messages.

Author:
  Chris Poirier

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CSTNode`
`context`

### Fields inherited from class org.codehaus.groovy.control.messages.SimpleMessage

`data, message, owner`

## Constructor Summary

Constructors
Constructor
Description
`LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)`
`LocatedMessage(String message, CSTNode context, SourceUnit source)`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(PrintWriter writer, Janitor janitor)`
Writes the message to the specified PrintWriter.

### Methods inherited from class org.codehaus.groovy.control.messages.SimpleMessage

`getMessage`

### Methods inherited from class org.codehaus.groovy.control.messages.Message

`create, create, create, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### context

protected CSTNode context

## Constructor Details

### LocatedMessage

public LocatedMessage(String message, CSTNode context, SourceUnit source)

### LocatedMessage

public LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)

## Method Details

### write

public void write(PrintWriter writer, Janitor janitor)
Description copied from class: `Message`
Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

Overrides:
  `write` in class `SimpleMessage`